Subject: Re: 29.0.60; Tree-sitter user-level control

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jan 2023 21:41:44 +0200

> From: Theodor Thornhill <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 29 Jan 2023 20:12:39 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What's missing here?  Stefan, any advice?
> 
> 
> I'm sure you know this, but adding the below patch "fixes" it.  It seems
> like the inheritance isn't registered somehow without a defined
> mode-map?

I asked Stefan to help precisely because I don't understand why we
need anything beyond what we have already.  I thought mode inheritance
should have taken care of it, or at least the documentation of
define-derived-mode seems to imply that.